#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/* @(#)zmstat.fc	15.1.1.1 (ES0-DMD) 01/12/01 16:36:48 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Fortran -> C conversion routine for ZMSTAT

------------------------------------------------------------------------*/
 
#include <ftoc.h>
#include <midas_def.h>


#if 0     /* ==== Original Code ==== */
SUBROUTINE NSORT(array,size,nmed,fmedian)

float     *array;
fint2c    *size;
fint2c    *nmed;
float     *fmedian;
#else     /* ==== Generated Code === */
#define NSORT	nsort_
NSORT(va_alist) va_dcl 
{ va_list Cargs;
#endif    /* ======================= */
  va_start(Cargs);       /* <forif> */
PARAM(1,4,0,float *) --;
(void) Newsort(PARAM(1,4,0,float *),*PARAM(2,4,0,fint2c *),*PARAM(3,4,0,fint2c *),PARAM(4,4,0,float *));

}

#if 0     /* ==== Original Code ==== */
SUBROUTINE ZMSTAT(imno,area,naxpix,start,step,rbins,formstr,defaul)
 
fint2c    *imno;
CHARACTER area;
fint2c    *naxpix;
double    *start;
double    *step;
float     *rbins;
CHARACTER formstr;
CHARACTER defaul;
#else     /* ==== Generated Code === */
#define ZMSTAT	zmstat_
ZMSTAT(va_alist) va_dcl 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */
  va_start(Cargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */



(void) Zstats(*PARAM(1,8,0,fint2c *),STRIPPED_STRING(2,8,0),PARAM(3,8,1,fint2c *),PARAM(6,8,1,float *),
        STRIPPED_STRING(7,8,1),STRIPPED_STRING(8,8,2));
  ftoc_free(FORmark);    /* <forif> */

}
